Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.sos.capabilities
Class SOSOperationsMetadata

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
          org.deegree.ogcwebservices.sos.capabilities.SOSOperationsMetadata

All Implemented Interfaces:
  Serializable

    public class SOSOperationsMetadata

extends OperationsMetadata

Describe the OWS OperationsMetadata, is a part of the SCS Capabilities

Version:
  1.0
Author:
  Matthias Kulbe
See Also:
  Serialized Form

Field Summary
`static String` | `DESCRIBE_PLATFORM_NAME`
`static String` | `DESCRIBE_SENSOR_NAME`
`static String` | `GET_OBSERVATION_NAME`

Fields inherited from class org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
`constraints, GET_CAPABILITIES_NAME, getCapabilitiesOperation, parameters`

Constructor Summary
`SOSOperationsMetadata(Operation getCapabilities, Operation describePlatform, Operation describeSensor, Operation getObservation)` constructor

Method Summary
`Operation` | `getDescribePlatform()`
`Operation` | `getDescribeSensor()`
`Operation` | `getGetObservation()`
`Operation[]` | `getOperations()`
`void` | `setDescribePlatform(Operation describePlatform)`
`void` | `setDescribeSensor(Operation describeSensor)`
`void` | `setGetObservation(Operation getObservation)`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
`addConstraint, addParameter, getConstraints, getGetCapabilitiesOperation, getParameter, removeParameter, setConstraints, setGetCapabilitiesOperation, setOperationParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCRIBE_PLATFORM_NAME

    public static final String DESCRIBE_PLATFORM_NAME

See Also:
  Constant Field Values

### DESCRIBE_SENSOR_NAME

    public static final String DESCRIBE_SENSOR_NAME

See Also:
  Constant Field Values

### GET_OBSERVATION_NAME

    public static final String GET_OBSERVATION_NAME

See Also:
  Constant Field Values

Constructor Detail

### SOSOperationsMetadata

    public SOSOperationsMetadata(Operation getCapabilities,
                                 Operation describePlatform,
                                 Operation describeSensor,
                                 Operation getObservation)

  constructor

  Parameters:
    `getCapabilities` -
    `describePlatform` -
    `describeSensor` -
    `getObservation` -

Method Detail

### getOperations

    public Operation[] getOperations()

  Overrides:
    `getOperations` in class `OperationsMetadata`
  Returns:
    all `Operation` configurations.

### getDescribePlatform

    public Operation getDescribePlatform()

  Returns:
    describePlatform

### setDescribePlatform

    public void setDescribePlatform(Operation describePlatform)

  Parameters:
    `describePlatform` -

### getDescribeSensor

    public Operation getDescribeSensor()

  Returns:
    describeSensor

### setDescribeSensor

    public void setDescribeSensor(Operation describeSensor)

  Parameters:
    `describeSensor` -

### getGetObservation

    public Operation getGetObservation()

  Returns:
    getObservation

### setGetObservation

    public void setGetObservation(Operation getObservation)

  Parameters:
    `getObservation` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org